/*
Theme Name: Anhydre
Description: Theme enfant de Generatepress
Author: Jeph Studio
Author URI: https://www.jeph-studio.com/
Template: generatepress 
Version: 0.1.0
*/

/* menus START */

/* barre au-dessus du menu, avec slogan et RS */
.inside-top-bar {
	padding: 0px;
}
#block-15 {
	font-weight: bold;
	text-align: center;
	width: 85%;
}
#block-15 p{
	margin:0;
}

.icone-insta, .icone-fb {
	background: var(--premier);
}

#block-10 svg path {
	fill: var(--second);
}
#block-10 li {
	margin: 0px;
	padding-top: 4px;
}

/* menu custom de la boutique */
.menu-woo-custom {
  margin-left: auto;
  margin-right: auto;
  max-width: 1368px;
}
.jeph-icons-contenair {
	max-width: 300px; 
	display: flex; 
	justify-content: space-around;
	margin-left: auto; 
	padding-top: 25px;	
	margin-bottom: -25px;
}
.jeph-icons-contenair img {
	position: relative;
	z-index: 99; 
	 transition: transform 0.2s ease;
}
.jeph-icons-contenair img:hover {
    transform: scale(1.1); 
}

.jeph-cart-count {
	background: var(--second);
	color: var(--premier);	
	font-weight: 600;
	/* padding: 4px 8px 4px 8px; */
		padding: 2px 10px 2px 10px;
	border-radius: 20px;	
	margin-left: 30px;
	margin-top: -60px;
	position: absolute;
  z-index: 89; 	
}



/* menu principal START */


	/* fix menu mobile 
	 * 
	 * A AMELIORER ou virer #point
	 * 
	 * */
	@media only screen and (max-width: 1367px) {
		#menu-principal img {
			display: none;
		}
		
		
	}




	header .inside-header {
		padding-bottom: 0px;
		padding-top: 0px;	
	}
	#menu-principal a {
		text-transform: uppercase;
	}
	/*
	#menu-principal .current_page_item a {
		font-weight: bold !important;
	}
	*/

	/* cacher le panier woo commerce du menu */
	.menu-bar-items {
		display: none !important;
	}
	#site-navigation a {
		font-family: 'outfit';
		font-weight: 300 !important;
		font-size: 18px;
	}
	#site-navigation img {
		width: 10px;
		height: 10px;
		margin-bottom: 4px;
		margin-right: 25px;
	}


	/* ajustements responsive du header start */

		@media (max-width: 768px) {
		    /* CSS in here for mobile only */
			.site-logo {
				max-width: 200px;		
				margin-top: -10px;
			}
			.jeph-icons-contenair {
				margin-bottom: 20px;
				max-width: 80%; 
				margin-left: auto;
				margin-right: auto;
			}	
		}
		@media (min-width: 769px) and (max-width: 1024px) {
		    /* CSS in here for tablet only */	
			.site-logo {
				max-width: 280px;		
				margin-top: -90px;
			}
			.jeph-icons-contenair {
				margin-bottom: 20px;
			}
		}
	/* ajustements responsive du header end */

/* menu principal END */



.home-bouton a {
	padding: 8px !important;
}


/* tricks sur les containers flexbox Elementor */
.pleine-largeur {
	left: 50% !important;
	margin-left: -50vw !important;
	margin-right: -50vw !important;
	max-width: 100vw !important;
	position: relative !important;
	right: 50% !important;
	width: 100vw !important;	
}

/* bug sur pleine largeur*/
body {
    overflow-x: hidden;
}


/* START page archive produit et widget produits */



.add_to_cart_button, .wpfButton {
	background: var(--global-color-10) !important;
	border-radius: 0px !important;
}
.add_to_cart_button:hover , .wpfButton:hover {
	background: var(--premier) !important;
}



/* Rajout de la petite étoile devant le prix sur widget carousel */
.woocommerce-Price-amount:before {
    content: '';
    background-image: url('/wp-content/themes/anhydre/images/etoile-prix.webp');
    display: inline-block; 
    width: 5px; 
    height: 5px; 
    background-size: contain; 
    background-repeat: no-repeat; 
    margin-right: 5px; 
	margin-bottom: 2px;
}

/* archives produits - couleur symbol € */
.woocommerce-Price-currencySymbol {
    color: #808080;
}



	/* start skin des filtres */
		/* Masquer les cases à cocher par défaut */
		#panneau-filtres input[type="checkbox"] {
		    display: none !important;
		}
		/* Styler le label pour afficher les images */
		.wpfFilterWrapper .wpfCheckbox input[type="checkbox"] + label {
		    position: relative !important;
		    background-image: url('https://anhydre.jeph-studio.com/wp-content/themes/anhydre/images/checkbox-unchecked.webp') !important;
		    background-size: contain !important;
		    background-repeat: no-repeat !important;
		    width: 28px !important; 
		    height: 20px !important; 
		    display: inline-block !important;
		    cursor: pointer !important;
		    
		}

		/* Changer l'image lorsque la case est cochée */
		.wpfFilterWrapper .wpfCheckbox input[type="checkbox"]:checked + label {
		    background-image: url('https://anhydre.jeph-studio.com/wp-content/themes/anhydre/images/checkbox-checked.webp') !important;
		}

		.wfpDescription {
			font-family: "Gustolle", Sans-serif;
			font-size: 40px !important;
		}
		.wpfFilterTaxNameWrapper {
			font-family: "outfit";
			text-transform: uppercase;
			font-weight: 300 !important;
		}
		 @media (min-width: 1023.99px) {
		        #panneau-filtres {
		            display: block !important;
		        }
		    }

	/* end skin des filtres */


/* END page archive produit et widget produits */


/* page single product START */

	/* couleur des notifs d'ajout au panier */
	.woocommerce-message {
		background-color: #818D69 ;	
	}
	/* taille de l'étoile orange devant le prix */
	.woocommerce-Price-amount::before {
		width: 10px;
	  height: 10px;
	}

	/* réalignement des élements varaitions swatchs (taille, couleurs, tissus) */
	.woo-variation-swatches .variable-items-wrapper.radio-variable-items-wrapper {	
	 -ms-flex-direction: row-reverse;
	  flex-direction: row-reverse;	
	}
	.woo-variation-swatches .variable-items-wrapper {
		justify-content: flex-end;
	}
	.woo-variation-swatches .image-variable-items-wrapper {
		justify-content: flex-start !important;
	}


	/* modification des radiobox pour le choix des tailles */

	.radio-variable-items-wrapper input {
		display: none;
	}
	.radio-variable-items-wrapper li {
		border: 1px solid;
		width : 48px;
		height: 48px;
		margin-right: 15px !important;
		border-radius: 4px;
		border-color:  var( --e-global-color-4b0c919 );	
	}
	.woocommerce div.product form.cart .variations label {
	  font-weight: 400 !important;  
	}
	.radio-variable-items-wrapper li.selected {
	  border:3px solid;    
	  border-color: #2f342d;
	}
	.selected .variable-item-radio-value-wrapper {
		font-weight: 700 !important;
	}

	/* taille des images de variations swatches */
	li.image-variable-item {
		width: 64px !important;
		height: 64px !important;	
		margin-right: 15px !important;
	}

	/* bordure des images */
	li.image-variable-item {
		padding: 0px !important;
		background-color: #2f342d !important;
		box-shadow: #ff000000 !important;
	}
	li.image-variable-item img  {	
		border-radius: 4px !important;	
	}
	li.image-variable-item.selected img  {
		border-radius: 4px !important;
		outline: 4px solid #2f342d;
	}

	/* bouton ajouter au panier */
	.single_add_to_cart_button .elementor-button-text {
		line-height: 36px;
		font-size: 18px;
	}

	.single_add_to_cart_button .elementor-button-text::after {
	  content: ""; /* Pas de contenu textuel */
	  display: inline-block; /* Permet de définir des dimensions */
	  width: 20px; /* Largeur du pseudo-élément */
	  height: 14px; /* Hauteur du pseudo-élément */
	  background-image: url('https://anhydre.jeph-studio.com//wp-content/themes/anhydre/images/fleche-plain-svg-pale.svg');
	  background-size: contain; /* Ajuste la taille de l'image pour qu'elle s'adapte aux dimensions */
	  background-repeat: no-repeat; /* Empêche la répétition de l'image */
	  margin-left: 8px; /* Espace entre le texte et l'image */
	  margin-top: 10px;
	  transition: background-image 0.3s ease; /* Ajoute une transition pour un effet fluide */
	}

	.single_add_to_cart_button:hover .elementor-button-text::after {
	  background-image: url('https://anhydre.jeph-studio.com//wp-content/themes/anhydre/images/fleche-plain-svg-fonce.svg');
	}

	/* titre de niveau 2 dans le bloc description longue du produit */
	#anhydre-product-single-description h2 {
		font-family: 'gustolle';
		font-weight: 300 !important;
		
	}
	/* enlever la border du tableau pour la mesure produit */ 
	#anhydre-product-single-description table , tr, td {
		border: none;	
	}
	/* visionneuse di'mage Elementor */
	.elementor-slideshow__title {
		display: none;
	}


/* START badge stock custom pour anhydre */
.badge-stock {
    display: inline-block;
    padding: 5px 10px;    
    color: #fff; /* Couleur du texte */
    border-radius: 3px;
    font-size: 14px;
}
.en-stock {   
    background-color: var(--premier);    
}
.sur-commande {   
     background-color: var(--global-color-11); 
}
/* END badge stock custom pour anhydre */

/* ré-alignement des variations qui partaient sur la droite pour les attributs couleurs */td.value.woo-variation-items-wrapper ul.variable-items-wrapper.button-variable-items-wrapper.wvs-style-squared {
  justify-content: flex-start;
}




/* page single product END */





/* Page "Mon compte" START */
	.woocommerce-MyAccount-navigation a {
		font-family : "outfit";
		text-transform: uppercase;
		font-size: 18px !important;
		text-decoration: none;	
	}
	.woocommerce-MyAccount-navigation a:hover {
		color: var(--premier);
	}
	#shipping-fields .wc-block-components-checkbox__label {
		margin-left: 30px;
	}
/* Page "Mon compte" END */






/* footer START */

	.footer-widget-2 #menu-principal-1 img{
		display: none;
	}
	.footer-widget-2 a {
		text-decoration: none;
		color: var(--contrast2);
		text-transform: uppercase;	
	}
	.footer-widget-2 a:hover {	
		color: #ffffff;		
	}
	.footer-widget-2 ul li{
		list-style-type: "- ";
	}
	.footer-widget-3 svg path {
		fill: var(--second);
	}
	/* correction position du bouton insta du footer*/
	.footer-widget-3 #block-20 .wp-social-link-instagram {
		padding-top: 8px;
	}
	

	
	.footer-widget-3 #block-22  ul li{
		list-style-type: "- ";
	}
	.copyright-bar {
		font-family: 'outfit';
		font-weight: 300;
	}
	.copyright-bar a {
		text-decoration: underline;
		color: #ffffff;
	}

	/* espace blanc en bas de page */
	.inside-article {
		padding: 0px !important;
	}
	#main {
		margin-bottom: 0px;
	}
	#bloc-demarche-paiement-vetements {
		
	}
/* footer END */


/* PAGE : A propos START */
	#apropos-avecamour p {	
		margin: 0px;
		line-height:95%;
	}
/* PAGE : A propos END */

/* PAGE : Points de vente START */

	.pointdevente-conteneur div:nth-child(1) , .pointdevente-conteneur div:nth-child(2)  {
		padding: 0px;
	}
	.pointdevente-conteneur-expos {
		
	}
/* PAGE : Points de vente END */
